Subject: bug#71355: 30.0.50; [PATCH] Improve performance of buffered output in Eshell

From: Stefan Kangas <[email-masked]>
Date: Thu, 6 Jun 2024 05:20:14 -0400

Jim Porter <[email-masked]> writes:

> If anyone has time to test, I'd be interested to see if the results are
> similarly good on other platforms (I'm testing on x86_64 GNU/Linux), but
> I imagine they're comparable.

0. emacs -Q
1. M-x eshell RET
2. time cat config.log RET

I did three attempts:

Before your patch:  4.520  4.687  4.609 secs
With your patch:    0.958  0.968  1.048 secs

In GNU Emacs 30.0.50 (build 3, aarch64-apple-darwin23.5.0, NS
 appkit-2487.60 Version 14.5 (Build 23F79)) of 2024-06-06 built on
 Stefans-MacBook-Pro.local
Repository revision: a525cfb3af0c49c5c64e8af548ab23d086348fed
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2487
System Description:  macOS 14.5